%define module	pybeam

Name:		python-%{module}
Version:	0.3.2
Release:	%mkrel 2
Summary:	Python module to parse Erlang BEAM files
License:	MIT
Group:		Development/Python
URL:		https://github.com/matwey/%{module}
Source0:	https://github.com/matwey/%{module}/archive/%{version}/%{module}-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	pkgconfig(python2)
BuildRequires:	pythonegg(2)(setuptools)
BuildRequires:	pythonegg(2)(construct)
BuildRequires:	pythonegg(2)(six)

%description
Python module to parse Erlang BEAM files.

%package -n	python3-%{module}
Summary:	Python 3 module to parse Erlang BEAM files
Group:		Development/Python
BuildArch:	noarch
BuildRequires:	pkgconfig(python3)
BuildRequires:	pythonegg(3)(setuptools)
BuildRequires:	pythonegg(3)(construct)
BuildRequires:	pythonegg(3)(six)

%description -n python3-%{module}
Python 3 module to parse Erlang BEAM files.

%prep
%setup -q -n %{module}-%{version}

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install

%check
%{__python2} setup.py test
%{__python3} setup.py test

%files
%license LICENSE
%doc README.md
%{python2_sitelib}/*

%files -n python3-%{module}
%license LICENSE
%doc README.md
%{python3_sitelib}/*


%changelog
* Sat Jan 07 2017 daviddavid <daviddavid> 0.3.2-2.mga6
+ Revision: 1080414
- add missing BR on python(3)-six

* Fri Apr 22 2016 daviddavid <daviddavid> 0.3.2-1.mga6
+ Revision: 1004794
- imported package python-pybeam

